Bug 42810 - http://www.redhat.com/ is broken.
http://www.redhat.com/ is broken.
Product: Red Hat Web Site
Classification: Red Hat
Component: Other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Web Builder Traffic
Web Development
Depends On:
  Show dependency treegraph
Reported: 2001-05-30 03:07 EDT by David Woodhouse
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-18 15:15:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2001-05-30 03:07:14 EDT
Description of Problem:

The main Red Hat web page is broken - it contains invalid HTML. This has
apparently actually caused Netscape on RH6.2/Alpha to dump core. That's a
little excessive editorial comment, and is a separate bug - but the broken
HTML is a bug too. Red Hat presumably doesn't want to give to the public
the impression of being either careless or clueless about such standards?

Personally, I'd like to see an Apache mod_validate which refuses to serve
such broken pages. :)

How Reproducible:

Steps to Reproduce:

Actual Results:

"Sorry, this document does not validate as HTML 4.0 Transitional."

Expected Results:

"Congratulations, this document validates as HTML 4.0 Transitional!"

Additional Information:
Comment 1 Web Builder Traffic 2001-06-05 19:06:15 EDT
To be clear, this was neither a bug nor was the redhat.com homepage ever 
broken. It has been built traditionally to take advantage of certain browser 
proprietary bugs (like most other commercial and open source oriented web 
sites). The page has always been built to function and display properly in 
clients used by a vast majority of the site's daily visitors. In cases where, 
the page did not render as planned, every effort was made to assure that the 
information contained within the page was still readable. To be honest, HTML 
validation was never a real concern because most browsers (including those with 
an open source flavor) did a poor job of supporting the kind of standards that 
allowed designers to build pages that were both interoperable and and pleasing 
to the eye.

Nevertheless, browsers are now becoming more competent and compatible with 

The redhat.com homepage now validates and is presumably no longer broken. 
Please close this "bug."
Comment 2 Jay Turner 2001-09-18 09:23:09 EDT
What's the status of this?  Would like to close it out if we can.
Comment 3 Lisa Palma 2001-09-18 15:15:15 EDT
Yes, you can close this.

Note You need to log in before you can comment on or make changes to this bug.